stages:
  - build
  - deploy

variables:
  SERVER_NAME: intercambios.rlab.be
  IMAGE_NAME: ttsweb

before_script:
  - mkdir -p ~/.ssh
  - echo -e "Host *\n\tStrictHostKeyChecking no\n\tIdentityFile ~/.ssh/id_rsa\n\n" > ~/.ssh/config
  - echo "$SSH_KEY" > ~/.ssh/id_rsa
  - chmod -R 700 ~/.ssh

build_image:
  stage: build
  image: docker:stable
  services:
    - name: docker:dind
  only:
    - master
  script:
    - apk update
    - apk upgrade
    - apk add python3 python3-dev py-pip build-base libffi-dev libressl-dev libgcc docker-compose git
    - apk add --update openssh-client
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker build -t ${CI_REGISTRY_IMAGE}/${IMAGE_NAME}:latest .
    - docker push ${CI_REGISTRY_IMAGE}/${IMAGE_NAME}:latest

deploy_repo:
  stage: deploy
  image: docker:stable
  variables:
    DOCKER_HOST: "ssh://${SERVER_NAME}"
  only:
    - master
  script:
    - apk update
    - apk upgrade
    - apk add python3 python3-dev py-pip build-base libffi-dev libressl-dev libgcc docker-compose git
    - apk add --update openssh-client
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker-compose -f docker-compose.yml down
    - docker-compose -f docker-compose.yml up -d
